Compute Cloud API, REST: Instance.Relocate
Moves the specified instance to another availability zone
Running instance will be restarted during this operation.
HTTP request
POST https://compute.api.cloud.yandex.net/compute/v1/instances/{instanceId}:relocate
Path parameters
|
Field |
Description |
|
instanceId |
string Required field. ID of the instance to move. |
Body parameters
{
"destinationZoneId": "string",
"networkInterfaceSpecs": [
{
"index": "string",
"subnetId": "string",
"primaryV4AddressSpec": {
"address": "string",
"oneToOneNatSpec": {
"ipVersion": "string",
"address": "string",
"dnsRecordSpecs": [
{
"fqdn": "string",
"dnsZoneId": "string",
"ttl": "string",
"ptr": "boolean"
}
]
},
"dnsRecordSpecs": [
{
"fqdn": "string",
"dnsZoneId": "string",
"ttl": "string",
"ptr": "boolean"
}
]
},
"primaryV6AddressSpec": {
"address": "string",
"oneToOneNatSpec": {
"ipVersion": "string",
"address": "string",
"dnsRecordSpecs": [
{
"fqdn": "string",
"dnsZoneId": "string",
"ttl": "string",
"ptr": "boolean"
}
]
},
"dnsRecordSpecs": [
{
"fqdn": "string",
"dnsZoneId": "string",
"ttl": "string",
"ptr": "boolean"
}
]
},
"securityGroupIds": [
"string"
]
}
],
"bootDiskPlacement": {
"placementGroupId": "string",
"placementGroupPartition": "string"
},
"secondaryDiskPlacements": [
{
"diskId": "string",
"diskPlacementPolicy": {
"placementGroupId": "string",
"placementGroupPartition": "string"
}
}
]
}
|
Field |
Description |
|
destinationZoneId |
string ID of the availability zone to move the instance to. |
|
networkInterfaceSpecs[] |
Network configuration for the instance. Specifies how the network interface is configured |
|
bootDiskPlacement |
Boot disk placement policy configuration in target zone. Must be specified if disk has placement policy. |
|
secondaryDiskPlacements[] |
Secondary disk placement policy configurations in target zone. Must be specified for each disk that has placement policy. |
NetworkInterfaceSpec
|
Field |
Description |
|
index |
string The index of the network interface, will be generated by the server, 0,1,2... etc if not specified. |
|
subnetId |
string ID of the subnet. |
|
primaryV4AddressSpec |
Primary IPv4 address that will be assigned to the instance for this network interface. |
|
primaryV6AddressSpec |
Primary IPv6 address that will be assigned to the instance for this network interface. IPv6 not available yet. |
|
securityGroupIds[] |
string ID's of security groups attached to the interface |
PrimaryAddressSpec
|
Field |
Description |
|
address |
string An IPv4 internal network address that is assigned to the instance for this network interface. |
|
oneToOneNatSpec |
An external IP address configuration. |
|
dnsRecordSpecs[] |
Internal DNS configuration |
OneToOneNatSpec
|
Field |
Description |
|
ipVersion |
enum (IpVersion) External IP address version.
|
|
address |
string set static IP by value |
|
dnsRecordSpecs[] |
External DNS configuration |
DnsRecordSpec
|
Field |
Description |
|
fqdn |
string FQDN (required) |
|
dnsZoneId |
string DNS zone id (optional, if not set, private zone used) |
|
ttl |
string (int64) DNS record ttl, values in 0-86400 (optional) |
|
ptr |
boolean When set to true, also create PTR DNS record (optional) |
DiskPlacementPolicy
|
Field |
Description |
|
placementGroupId |
string Placement group ID. |
|
placementGroupPartition |
string (int64) |
DiskPlacementPolicyChange
|
Field |
Description |
|
diskId |
string Disk ID. |
|
diskPlacementPolicy |
Placement policy configuration for given disk. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |